Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.examplev2c
Class SendTrap

    java.lang.Object
      |
      +--uk.co.westhawk.examplev2c.SendTrap

public class SendTrap
extends java.lang.Object

The SendTrap application sends a trap, using the OneTrapPduv2.

The host, port, oid and community name can be configured in the properties file. The value for sysUpTime and snmpTrapOID are hard coded.

The name of the properties file can be passed as first argument to this application. If there is no such argument, it will look for `SendTrap.properties`. If this file does not exist, the application will use default parameters.

Version:
  $Revision: 1.3 $ $Date: 2002/11/04 17:55:11 $
Author:
  Birgit Arkesteijn
See Also:
  `OneTrapPduv2`

Field Summary
`static java.lang.String` | `authenticationFailure`
`static java.lang.String` | `coldStart`
`static java.lang.String` | `egpNeighborLoss`
`static java.lang.String` | `linkDown`
`static java.lang.String` | `linkUp`
`static java.lang.String` | `snmpTrapOID` The authoritative identification of the notification currently being sent.
`static java.lang.String` | `sysContact`
`static java.lang.String` | `sysUpTime`
`static java.lang.String` | `warmStart`

Constructor Summary
`SendTrap(java.lang.String propertiesFilename)` Constructor.

Method Summary
`void` | `init()`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sysUpTime

    public static final java.lang.String sysUpTime

### sysContact

    public static final java.lang.String sysContact

### snmpTrapOID

    public static final java.lang.String snmpTrapOID

  The authoritative identification of the notification currently being sent. This variable occurs as the second varbind in every SNMPv2-Trap-PDU and InformRequest-PDU.

### coldStart

    public static final java.lang.String coldStart

### warmStart

    public static final java.lang.String warmStart

### linkDown

    public static final java.lang.String linkDown

### linkUp

    public static final java.lang.String linkUp

### authenticationFailure

    public static final java.lang.String authenticationFailure

### egpNeighborLoss

    public static final java.lang.String egpNeighborLoss

Constructor Detail

### SendTrap

    public SendTrap(java.lang.String propertiesFilename)

  Constructor.
  Parameters:
    `propertiesFilename` - The name of the properties file. Can be null.

Method Detail

### init

    public void init()

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD